### Hierarchy

- Restorer

## Index

### Constructors

- constructor

### Methods

- restore

## Constructors

### constructor

- new Restorer(ngeoOfflineConfiguration: default, ngeoBackgroundLayerMgr: MapBackgroundLayerManager): Restorer

- - Defined in src/offline/Restorer.js:25
  nginject

  #### Parameters

  - ##### ngeoOfflineConfiguration: default

    A service for customizing offline behaviour.

  - ##### ngeoBackgroundLayerMgr: MapBackgroundLayerManager

    The background layer manager.

  #### Returns Restorer

## Methods

### restore

- restore(map: Map): Promise<Extent>

- - Defined in src/offline/Restorer.js:51

  #### Parameters

  - ##### map: Map

    The map to work on.

  #### Returns Promise<Extent>

  A promise to the extent of the restored area.

Generated using TypeDoc